1. Push Inventory
Swoovo — OTA Pull Endpoint
  • For OTA Hotels
    • List hotels (paginated)
      GET
  • Push Rooms
    • Push rooms (async)
      POST
  • Push Inventory
    • Push inventory (async)
      POST
  • Push Rates
    • Push rates (async)
      POST
  • Push Overrides Price & Inventory
    • Push inventory overrides (async)
      POST
    • Push pricing overrides (async)
      POST
  • Mapped Properties
    • List mapped properties
      POST
  • Jobs
    • Get room push job status
      GET
    • Get inventory push job status
      GET
    • Get rates push job status
      GET
    • Get override job status
      GET
  • Schemas
    • HotelListResponse
    • ErrorResponse
    • Hotel
    • AsyncJobAcceptedResponse
    • HotelImage
    • PushRoomsRequest
    • RoomData
    • RoomImage
    • BaseInventoryEmbed
    • RoomRateEmbed
    • ChildPricingRules
    • ChildPricingThreshold
    • PushInventoryRequest
    • BaseInventoryItem
    • InventoryOverrideItem
    • PushRatesRequest
    • RoomRateInput
    • PushInventoryOverridesRequest
    • InventoryOverrideRequest
    • PushPricingRulesRequest
    • PricingRuleRequest
    • JobStatusResponse
    • JobStatusData
    • RoomJobStatusResponse
    • RoomJobStatusData
    • InventoryJobStatusResponse
    • InventoryJobStatusData
    • RatesJobStatusResponse
    • RatesJobStatusData
    • MappedPropertiesResponse
    • MappedProperty
  1. Push Inventory

Push inventory (async)

POST
/api/v1/push/inventory
Push base inventory and/or date-range overrides for rooms of a
single property.
You can send:
base_inventory: one entry per room with the default count
inventory_overrides: one entry per room per date range
Both arrays are optional, but at least one must be provided.
Returns a job_id (string, e.g. "inv_1_1703123456789").
Poll /api/v1/inventory/status?job_id=<id>.

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢202
application/json
Inventory push job accepted
Bodyapplication/json

🟠400BadRequest
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/push/inventory' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "ota_property_id": "HOTEL12345",
    "base_inventory": [
        {
            "ota_room_code": "DLX_KING_001",
            "base_inventory_count": 5
        },
        {
            "ota_room_code": "STD_QUEEN_002",
            "base_inventory_count": 3
        }
    ],
    "inventory_overrides": [
        {
            "ota_room_code": "DLX_KING_001",
            "start_date": "2026-12-24",
            "end_date": "2026-12-27",
            "available_rooms": 2,
            "is_available": true
        }
    ]
}'
Response Response Example
202 - Success
{
    "status": true,
    "message": "Inventory push started. Job ID inv_1_1703123456789.",
    "job_id": "inv_1_1703123456789"
}
Modified at 2026-11-12 09:12:10
Previous
Push rooms (async)
Next
Push rates (async)
Built with